Subject: Re: [PATCH v3 10/11] contrib: remove "git-new-workdir"

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Sep 2025 11:43:23 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

>> I understand
>> why its designers felt that this would provide better guarantees (it
>> is not a good idea to mutate branch names that are checked out
>> somewhere else), but checking out various branches to test them and
>> inspect their code (before returning to the feature branch I am
>> actively working on) is a common part of my workflow.
>
> I agree, that’s a great use of worktrees.  But I never feel like I have
> to checkout the branch itself.  I detach on top of the branch.

Yes.  For sightseeing, not building on top of various random points
in history, detached HEAD is a reasonable way to use multiple
worktrees.